%define	name	stratagus
%define	version 2.2.3
%define rel	1
%define	release	%mkrel %{rel}

Name:		%{name} 
Summary:	A real time strategy game engine
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}-src.tar.gz
URL:		http://stratagus.sourceforge.net/
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	SDL-devel bzip2-devel oggvorbis-devel libmikmod-devel
BuildRequires:	lua-devel >= 5.1 libpng-devel libmng-devel
BuildRequires:  MesaGLU-devel ImageMagick libtheora-devel

%description
Stratagus is a free cross-platform real-time strategy gaming engine.
It includes support for playing over the internet/LAN, or playing a computer
opponent. The engine is configurable and can be used to create games with a
wide-range of features specific to your needs.

%prep
%setup -q

%build
%configure	--with-opengl \
		--with-x \
		--with-bzip2 \
		--with-vorbis \
		--with-mikmod \
		--with-theora \
		--with-mng \
		EXTRA_CFLAGS="%{optflags}"

%make || make

%install
rm -rf %{buildroot}
install -m755 stratagus -D %{buildroot}%{_gamesbindir}/stratagus

# Create and install icons
convert ./contrib/stratagus.ico -resize 32x32 ./stratagus-32.png
convert ./contrib/stratagus.ico -resize 48x48 ./stratagus-48.png
convert ./contrib/stratagus.ico -resize 16x16 ./stratagus-16.png
install -m644 stratagus-16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 stratagus-32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 stratagus-48.png -D %{buildroot}%{_liconsdir}/%{name}.png

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README doc/*
%{_gamesbindir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue Mar 13 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.3-1mdv2007.1
+ Revision: 142271
- 2.2.3
- builds now against lua 5.1
- work a bit around broken parallell build

* Wed Jan 17 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.2-1mdv2007.1
+ Revision: 109768
- new release: 2.2.2
  really drop broken lua 5.1 patch

* Tue Dec 12 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2-1.061209.1mdv2007.1
+ Revision: 95885
- 2.2 really fix buildrequires
- Fix buildrequires
- try work around stupid buildrequires
- 2.2
- new version
- Import stratagus



* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1-6mdv2007.0
- rebuild against new liblua
- fix building against new lua (P0)

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-5mdk
- Fix BuildRequires
- Fix Redundant buildrequires 
	- X11-devel is already required by SDL-devel

* Wed Oct 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-4mdk
- Fix BuildRequires

* Sun Aug 21 2005 Eskild Hustvedt <eskild@mandriva.org> 2.1-3mdk
- Rebuild for new xorg

* Sun Jul 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.1-2mdk
- add opengl, mad, flac and cdaudio support
- add buildrequires too
- really use $RPM_OPT_FLAGS

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandrake.org> 2.1-1mdk
- Initial Mandriva Linux package
